
CC		= gcc
CXXFLAGS		+= -O3 -DAPCS32 -ISDLh:SDL -ILibUh:
GCC =g++

#INCLUDES	= 
freedroid_SOURCES = menu.c graphics.c  map.c   init.c  ship.c \
	takeover.c bullet.c  influ.c  misc.c  text.c  sound.c \
	enemy.c input.c  main.c  view.c bfont.c defs.h \
	map.h vars.h takeover.h global.h \
	text.h proto.h struct.h system.h BFont.h maped.h \
	sdl_rotozoom.c sdl_rotozoom.h\
	getopt.c getopt1.c getopt.h \

am_freedroid_OBJECTS = menu.o graphics.o map.o \
	init.o ship.o takeover.o \
	bullet.o influ.o misc.o text.o \
	sound.o enemy.o input.o main.o \
	view.o BFont.o SDL_rotozoom.o \
	highscore.o getopt.o getopt1.o \
	
OBJS=$(am_freedroid_OBJECTS)

%.o	: %.c
	$(CC) $(CXXFLAGS)  -c -o $@ $<
	
freedroid : $(OBJS)
		$(CC) $(CXXFLAGS) $(OBJS) -lm -LLibU:lib -LSDL:lib -lSDL -ljpeg -lpng -lSDL_mixer -lSDL_image -logg -lmikmod -lao -lvorbis -lvorbisfile -lz -ltiff -o freedroid


